Set-PowerLinePrompt -PowerLineFont

$local:MyPowerLineSetup = [ordered]@{
    Title = { "Sz PS" }
    SetCurrentDirectory = $true
    RestoreVirtualTerminal = $true
    PowerLineCharacters = [ordered]@{
        ColorSeparator = "$([char]::ConvertFromUtf32(0x2588)
        )$([PoshCode.Pansies.Entities]::ExtendedCharacters.ColorSeparator.Trim()[-1]) "
        ReverseColorSeparator = " $(
                [PoshCode.Pansies.Entities]::ExtendedCharacters.ReverseColorSeparator.Trim()[0]
            )$([char]::ConvertFromUtf32(0x2588))"
        Separator = " $([PoshCode.Pansies.Entities]::ExtendedCharacters.Separator.Trim()[-1]) "
        ReverseSeparator = " $(
            [PoshCode.Pansies.Entities]::ExtendedCharacters.ReverseSeparator.Trim()[0]) "
    }
    Colors = @( [rgbcolor]"Grey18", [rgbcolor]"Grey65" ) #, [rgbcolor]"white", [rgbcolor]"red", [rgbcolor]"blue" )
    Prompt = @(
        { "`n" } # A spaced line
        { New-PromptText -EBg VioletRed4 $MyInvocation.HistoryId }
        { Get-SegmentedPath -LengthLimit 30 }
        { Write-VcsStatus }

        # Right-align block
        { "`t" }
        { "$($PromptCache.Username)@$($PromptCache.Hostname)" }
        { Get-Elapsed -Trim }
        { Get-Date -Format 'HH:mm:ss' }
        { Get-Date -Format 'ddd(dd)' }
        { "$PSOSName " }

        { "`n" }
        { New-PromptText { "PS" } -Ebg Red }
    )
}
Set-PowerLinePrompt @MyPowerLineSetup

Write-Host -ForegroundColor Cyan "PowerLine Theme is ready, if you want to persist it, don't forget to run Export-PowerLinePrompt`n"
